Ad TaggingList runs

List runs

Previews, applies and auto runs for this client, newest first. Omit kind for all kinds. Limit defaults to 20 and is clamped to 1 through 100. No-op or failed automatic scans are not runs.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/ad-tagging/meta/runs?location_id=example_string&kind=preview&limit=20" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "kind": "preview",
      "status": "completed",
      "location_id": "example_string",
      "ad_account_id": "example_string",
      "config_generation": "123e4567-e89b-12d3-a456-426614174000",
      "config_auto_approval_epoch": 42,
      "config_revision": 42,
      "config_fingerprint": "example_string",
      "run_slot": "2024-12-25T10:00:00Z",
      "journal_ready": true,
      "ad_statuses_snapshot": [
        "ACTIVE"
      ],
      "rules_snapshot": {
        "version": 42,
        "operator": "AND",
        "conditions": [
          {
            "type": "campaign_name_contains",
            "value": "example_string",
            "case_sensitive": true
          }
        ]
      },
      "template_snapshot": "example_string",
      "overwrite_snapshot": "fill_missing",
      "short_links_snapshot": true,
      "resolve_names_snapshot": true,
      "attempts": 42,
      "source_preview_id": "123e4567-e89b-12d3-a456-426614174000",
      "truncated": true,
      "truncation_reason": "example_string",
      "campaigns_scanned": 42,
      "campaigns_matched": 42,
      "ads_scanned": 42,
      "ads_planned": 42,
      "ads_applied": 42,
      "ads_failed": 42,
      "ads_uncertain": 42,
      "ads_skipped": 42,
      "ads_stale": 42,
      "expires_at": "2024-12-25T10:00:00Z",
      "error_code": "unauthorized",
      "error_message": "example_string",
      "requested_by": "example_string",
      "created_at": "2024-12-25T10:00:00Z",
      "started_at": "2024-12-25T10:00:00Z",
      "finished_at": "2024-12-25T10:00:00Z"
    }
  ]
}
GET
/client/v1/ad-tagging/meta/runs
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_) or location secret key (sk_, reads of the config and runs only). Scoped keys (mcp_) are accepted too and need ad_tagging:read or ad_tagging:write. See Using an mcp_ key over HTTP.

Agency key (ak_) or location secret key (sk_, reads of the config and runs only). Scoped keys (mcp_) are accepted too and need ad_tagging:read or ad_tagging:write. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

query
kindstring
Options: preview, apply, auto
query
limitinteger
Min: 1 • Max: 100
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_) or location secret key (sk_, reads of the config and runs only). Scoped keys (mcp_) are accepted too and need ad_tagging:read or ad_tagging:write. See Using an mcp_ key over HTTP.

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

kindstring
Allowed values:previewapplyauto

Responses

successboolean
dataarray